package dao

import (
	"go.mongodb.org/mongo-driver/mongo"
	"mongo.games.com/goserver/mongoctl/example/dao/internal"
)

type UserColumns = internal.UserColumns

type User struct {
	*internal.User
}

func NewUser(db *mongo.Database, c *mongo.Collection) *User {
	v := internal.NewUser(nil)
	v.Database = db
	v.Collection = c
	panic("创建索引")
	//c.Indexes().CreateOne()
	//c.Indexes().CreateMany()
	return &User{User: v}
}
